org.codehaus.plexus.component.manager

## Interface ComponentManagerManager

All Known Implementing Classes:
  DefaultComponentManagerManager

    public interface ComponentManagerManager

Version:
  $Id: ComponentManagerManager.java 2888 2005-11-09 16:32:05Z evenisse $
Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`void` `associateComponentWithComponentManager(Object component, ComponentManager componentManager)`
`ComponentManager` `createComponentManager(ComponentDescriptor descriptor, PlexusContainer container)`
`ComponentManager` `findComponentManagerByComponentInstance(Object component)`
`ComponentManager` `findComponentManagerByComponentKey(String componentKey)`
`Map` `getComponentManagers()`
`void` `setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)`
`void` `unassociateComponentWithComponentManager(Object component)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### setLifecycleHandlerManager

    void setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)

#### findComponentManagerByComponentKey

    ComponentManager findComponentManagerByComponentKey(String componentKey)

#### findComponentManagerByComponentInstance

    ComponentManager findComponentManagerByComponentInstance(Object component)

#### createComponentManager

    ComponentManager createComponentManager(ComponentDescriptor descriptor,
                                          PlexusContainer container)
                                            throws UndefinedComponentManagerException,
                                                   UndefinedLifecycleHandlerException

Throws:
  `UndefinedComponentManagerException`
  `UndefinedLifecycleHandlerException`

#### getComponentManagers

    Map getComponentManagers()

#### associateComponentWithComponentManager

    void associateComponentWithComponentManager(Object component,
                                              ComponentManager componentManager)

#### unassociateComponentWithComponentManager

    void unassociateComponentWithComponentManager(Object component)